Subject: Re: bug#76955: 30.1; php-ts-mode-php-executable default path may not match remote path

From: Morgan Willcock <[email-masked]>
Date: Tue, 18 Mar 2025 17:40:13 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Morgan Willcock <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Tue, 18 Mar 2025 16:00:57 +0000
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >> If I have two remote versions installed, and one of them is found by
>> >> executable-find searching for "php", I cannot see how I would select the
>> >> other version once the patch is applied.
>> >
>> > How do you do this with the current version of php-ts-mode?
>> 
>> Since the value of php-ts-mode-php-executable is used locally and
>> remotely, I just set the buffer local value to the correct name.
>
> So each time you have a connection to a new host, you do this setting
> anew?

Yes, if it is a development host and I want the setting to persist.

For this same environment, I have to configure the connection anyway to
modify the value of tramp-remote-path, because the LSP server binary
that I use is self-installed and will not be on PATH with the default
TRAMP settings.

I also use local PHP and LSP server binaries, which is why I don't just
set the global value to what works remotely.

-- 
Morgan Willcock